
Redmine - Patch #32166

Rounded corners on table.gantt-table

2019-09-28 14:42 - Anonymous

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: Candidate for next major release   

Description

This patch is a follow up to #32014 to add 3px border-radius to gantt table.

Related issues:

Related to Redmine - Patch #32014: Rounded corners on table.list elements Closed

History

#1 - 2019-10-03 02:56 - Go MAEDA

- Target version set to Candidate for next major release

#2 - 2019-10-03 03:41 - Go MAEDA

- Related to Patch #32014: Rounded corners on table.list elements added

#3 - 2019-10-03 14:24 - Go MAEDA

- File unnecessary-line-before@2x.png added

- File unnecessary-line-after@2x.png added

Thank you for posting the patch.

But I found a small issue. You will see an unnecessary vertical line after applying the patch. Please see the screenshots below.

Before:

 

After:

 

#4 - 2019-10-03 14:45 - Anonymous

Go MAEDA wrote:

Thank you for posting the patch.

But I found a small issue. You will see an unnecessary vertical line after applying the patch. Please see the screenshots below.
https://www.redmine.org/issues/32014


 Thanks for pointing it out. I did this on purpose, to mark the gantt containing parent table (table.gantt-table), so it would kind of be exactly like calendar

in styling, or else in the most zoomed-out state, or when you choose to display a low amount of months ahead, gantt table ends up too far from the

the sidebar, and there is bare emptiness in between, which I didn't think looked good.

Maybe I should have also colored table.gantt-table with slight gray for it to look a bit more distinct.

I will post alternative patch though which just doesn't add border to the parent container (table.gantt-table), but instead changes the border of the

gantt itself.

Files

roundness-gantt-table.patch 731 Bytes 2019-09-28 Anonymous

unnecessary-line-before@2x.png 3 KB 2019-10-03 Go MAEDA

unnecessary-line-after@2x.png 16.4 KB 2019-10-03 Go MAEDA
